<%@ taglib uri="sitemesh-page" prefix="page" %>
<%@ taglib uri="webwork" prefix="ww" %>
<html>
<head>
	<title><ww:text name="'admin.globalpermissions.global.permissions'"/></title>
</head>
<body>
<page:applyDecorator name="jirapanel">
    <page:param name="title"><ww:text name="'admin.globalpermissions.global.permissions'"/></page:param>
    <page:param name="width">100%</page:param>
    <page:param name="helpURL">global_permissions</page:param>
<p>
<ww:text name="'admin.globalpermissions.description'"/>
</p>
<p>
<ww:text name="'admin.globalpermissions.instruction'">
    <ww:param name="'value0'"><a href="<%= request.getContextPath() %>/secure/admin/ViewPermissionSchemes.jspa"></ww:param>
    <ww:param name="'value1'"></a></ww:param>
</ww:text>
</p>
<ww:if test="/hasExceededUserLimit == true">
    <div class="warningBox">
        <ww:text name="'admin.globalpermissions.user.limit.warning'">
            <ww:param name="'value0'"><a href="<%= request.getContextPath() %>/secure/admin/ViewLicense.jspa"></ww:param>
            <ww:param name="'value1'"></a></ww:param>
        </ww:text>
    </div>
</ww:if>
</page:applyDecorator>
<p>
<jsp:include page="/includes/panels/permissionslist.jsp" />
</body>
</html>

