<%@ taglib uri="webwork" prefix="ww" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
    <title><ww:text name="'admin.externalimport.bugzilla.log.watcher'"/></title>
    <meta http-equiv="Refresh" content="1200">
    <meta http-equiv="Pragma" content="no-cache">
</head>

<body>
<page:applyDecorator name="jiraform">
    <page:param name="action"><ww:text name="'admin.common.words.refresh'"/></page:param>
    <page:param name="title"><ww:text name="'admin.externalimport.bugzilla.import.progress'"/></page:param>
    <page:param name="width">100%</page:param>
    <page:param name="description">
      <ww:text name="'admin.externalimport.bugzilla.import.progress.description'"/>
      <form><input type="button" onClick="window.location.reload(true);" value="refresh"></form>
    </page:param>
    <ui:textarea label="text('admin.externalimport.log')" name="'importLog'" cols="80" rows="30">
        <ui:param name="'readonly'" value="true"/>
        <ui:param name="'description'"><ww:text name="'admin.externalimport.log.of.events'"/></ui:param>
    </ui:textarea>
    
</page:applyDecorator>

</body>
</html>
