<%@ taglib uri="webwork" prefix="ww" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<html>
<head>
	<title><ww:text name="'admin.issuefields.customfields.configure.custom.field'">
	    <ww:param name="'value0'"><ww:property value="/customField/name" /></ww:param>
	</ww:text></title>
</head>
<body>
<style type="text/css">
<!--
.fieldLabelArea
{
    width: 30%;
}
-->
</style>
	<page:applyDecorator name="jirapanel">
		<page:param name="title"><ww:text name="'admin.issuefields.customfields.configure.custom.field'">
	    <ww:param name="'value0'"><ww:property value="/customField/name" /></ww:param>
	</ww:text></page:param>
		<page:param name="instructions">
        <p>
            <ww:text name="'admin.issuefields.customfields.configure.description'"/>
        </p>
        <ul class="square">
            <li><a title="<ww:text name="'admin.issuefields.customfields.add.new.context'"/>" href="<ww:url value="'ManageConfigurationScheme!default.jspa'"><ww:param name="'customFieldId'" value="/customFieldId" /><ww:param name="'returnUrl'">ConfigureCustomField!default.jspa?customFieldId=<ww:property value="/customFieldId" /></ww:param></ww:url>"><ww:text name="'admin.issuefields.customfields.add.new.context'"/></a></li>
            <li><a title="<ww:text name="'admin.issuefields.customfields.view.custom.fields'"/>" href="<ww:url value="'ViewCustomFields.jspa'"></ww:url>"><ww:text name="'admin.issuefields.customfields.view.custom.fields'"/></a></li>
        </ul>
        </page:param>
        <page:param name="helpURL">configcustomfield</page:param>
		<page:param name="width">100%</page:param>
        <ww:iterator value="/configs" status="'status'">
        <ww:if test="id == /fieldConfigSchemeId">
            <div class="highlighted">
        </ww:if>
        <page:applyDecorator name="jiraform">
            <page:param name="width">100%</page:param>
            <page:param name="pretitle">
            <div class="toolbar">
            <a href="ManageConfigurationScheme!default.jspa?customFieldId=<ww:property value="customFieldId" />&fieldConfigSchemeId=<ww:property value="id" />" title="<ww:text name="'admin.issuefields.customfields.edit.scheme'"/>"><img src="<%= request.getContextPath() %>/images/icons/confg_16.gif" /></a>
            <a href="ManageConfigurationScheme!remove.jspa?customFieldId=<ww:property value="customFieldId" />&fieldConfigSchemeId=<ww:property value="id" />" title="<ww:text name="'admin.issuefields.customfields.delete.scheme'"/>"><img src="<%= request.getContextPath() %>/images/icons/trash_16.gif" /></a>
            </div>
            </page:param>
            <page:param name="title"><ww:property value="name" /></page:param>
            <page:param name="jiraformId">configscheme<ww:property value="id" /></page:param>
            <page:param name="instructions"><ww:property value="description" ><ww:if test="."><ww:property value="." /></ww:if></ww:property></page:param>

            <tr>
                <td class="fieldLabelArea">
                    <ww:text name="'admin.issuefields.customfields.applicable.contexts'"/>
                </td>
                <td class="fieldValueArea">
                   <a class="config actionLinks subText" href="<ww:url value="'ManageConfigurationScheme!default.jspa'"><ww:param name="'fieldConfigSchemeId'" value="id" /><ww:param name="'customFieldId'" value="/customFieldId" /><ww:param name="'returnUrl'">ConfigureCustomField!default.jspa?customFieldId=<ww:property value="/customFieldId" /></ww:param></ww:url>" title="<ww:text name="'common.words.edit'"/>"><ww:text name="'admin.common.phrases.edit.configuration'"/></a>

                   <jsp:include page="contexts.jsp" flush="true"/>
                </td>
            </tr>

            <ww:if test="./basicMode == true">
                <ww:iterator value="./configsByConfig" status="'status'">

                <ww:iterator value="./key/configItems" status="'rowStatus'">
                <tr>
                    <td class="fieldLabelArea"><ww:text name="displayNameKey" />:</td>
                    <td class="fieldValueArea">
                        <ww:if test="baseEditUrl"><a id="customfield_<ww:property value="/customFieldId"/>-edit-default-value" class="actionLinks subText" title="<ww:text name="'admin.issuefields.customfields.edit'">
                            <ww:param name="'value0'"><ww:text name="displayNameKey" /></ww:param>
                        </ww:text>" href="<ww:url value="baseEditUrl"><ww:param name="'fieldConfigSchemeId'" value="../id" /><ww:param name="'fieldConfigId'" value="../key/id" /><ww:param name="'customFieldId'" value="/customFieldId" /><ww:param name="'returnUrl'">ConfigureCustomField!default.jspa?customFieldId=<ww:property value="/customFieldId" /></ww:param></ww:url>"><ww:text name="'admin.customfields.edit.value'">
                            <ww:param name="'value0'"><ww:text name="displayNameKey" /></ww:param>
                        </ww:text></a></ww:if>
                        <ww:property value="viewHtml(null)" escape="false" />
                    </td>
                </tr>
                </ww:iterator>
                </ww:iterator>

            </ww:if>
        </page:applyDecorator>
        <ww:if test="id == /fieldConfigSchemeId">
            </div>
        </ww:if>
        </ww:iterator>
    </page:applyDecorator>
</body>
</html>
