<%@ taglib uri="webwork" prefix="ww" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<html>
<head>
	<title><ww:text name="'admin.issuefields.customfields.create.custom.field'"/></title>
</head>
<style>
.rowSelected  { background-color: #dddddd; }
.rowHover  { background-color: #dddddd; }
</style>
<script language="javascript">

    var selected;

    function cellHover(cell)
    {
        cell.oldClassName = cell.className;
        cell.className = 'rowHover';
        cell.onmouseout = function()
        {
            this.className = this.oldClassName;
        }
    }

    function selectCellRadioBox(cellId)
    {
        var id = cellId.substring(4, cellId.length);
        document.forms['jiraform'].elements[id + '_id'].checked = true;
    }

</script>
<body>
<style>
.fieldTypeCell
{
    padding: 5px;
    width: 50%;
}

</style>
	<page:applyDecorator name="jiraform">
		<page:param name="title"><ww:text name="'admin.issuefields.customfields.create.custom.field'"/></page:param>
		<page:param name="instructions">
            <p>
                <ww:text name="'admin.issuefields.customfields.choose.the.field.type'">
                    <ww:param name="'value0'"><ww:property value="fieldTypes/size" /></ww:param>
                </ww:text>
            </p>
            <p>
                <ww:text name="'admin.issuefields.customfields.extentions'">
                      <ww:param name="'value0'"><strong><a href="<ww:component name="'external.link.jira.extensions'" template="externallink.jsp" />"></ww:param>
                      <ww:param name="'value1'"></a></strong></ww:param>
                </ww:text>
            </p>
        </page:param>
		<page:param name="width">100%</page:param>
		<page:param name="action">CreateCustomField.jspa</page:param>
		<page:param name="cancelURI">ViewCustomFields.jspa</page:param>
        <page:param name="helpURL">addingcustomfields</page:param>
        <page:param name="wizard">true</page:param>

    <tr bgcolor=#ffffff><td align="right" valign="top" bgcolor="#fffff0">
        <ww:text name="'admin.issuefields.customfields.field.type'"/>:
    <td>

    <table class="grid maxWidth">
        <ww:if test="fieldTypes/size > 0">
          <ww:iterator value="fieldTypes" status="'status'">
          <ww:if test="@status/odd == true"><tr></ww:if>
              <td class="fieldTypeCell" id="cell<ww:property value="key"/>" valign=top onmouseover="cellHover(this)" onclick="selectCellRadioBox(this.id)" bgcolor="#<ww:if test="@status/modulus('4') == 1 || @status/modulus('4') == 0">ffffff</ww:if><ww:else>fffff0</ww:else>">
              <label for="<ww:property value="key"/>_id">
                <input type="radio" name="fieldType" value="<ww:property value="key"/>" id="<ww:property value="key"/>_id">
                <b><ww:property value="name"/></b><br>
                <font size="1"><ww:property value="description"/></font>
              </label>
              </td>
          <ww:if test="@status/even == true"></tr></ww:if>
          </ww:iterator>
          <ww:if test="@status/even != true"></tr></ww:if>
        </ww:if>
        <ww:else>
        <tr><td><ww:text name="'admin.issuefields.customfields.you.have.no.custom.field.types.available'"/></td></tr>
        </ww:else>
    </table>
    </td></tr>

    <ui:component template="multihidden.jsp" >
        <ui:param name="'fields'">fieldName,description,searcher,global</ui:param>
        <ui:param name="'multifields'">projects,issuetypes</ui:param>
    </ui:component>

	</page:applyDecorator>

    <ww:if test="/fieldTypeValid == 'true'">
        <script language="JavaScript" type="text/javascript">
        <!--
        selectCellRadioBox('cell<ww:property value="/fieldType" />');
        //-->
        </script>
    </ww:if>
</body>
</html>
