<%@ taglib uri="webwork" prefix="ww" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<html>
<head><title><ww:text name="'admin.csvimport.configure.csv.importer'"/></title></head>
<body>
<script language="JavaScript" src="<%= request.getContextPath() %>/includes/js/import.js"></script>
<style type="text/css">
<!--
.selectDescription
{
    display: block;
}

.grid
{
}
-->
</style>
<page:applyDecorator name="jiraform">
    <page:param name="action">ConfigureCsvMapping.jspa</page:param>
    <page:param name="cancelURI">CsvImporter!default.jspa</page:param>
    <page:param name="title"><ww:text name="'admin.csvimport.wizard'"/>: <ww:text name="'admin.csvimport.issue.field.mappings'"/></page:param>
    <page:param name="wizard">true</page:param>
	<page:param name="instructions">
        <p>
        <ww:text name="'admin.csvimport.below.are.the.columns'">
            <ww:param name="'value0'"><em></ww:param>
            <ww:param name="'value1'"></em></ww:param>
        </ww:text>
        </p>
        <p>
        <ww:text name="'admin.csvimport.check.the.map.field.value.box'">
            <ww:param name="'value0'"><strong></ww:param>
            <ww:param name="'value1'"></strong></ww:param>
            <ww:param name="'value2'"><strong></ww:param>
            <ww:param name="'value3'"></strong></ww:param>
        </ww:text>
        </p>
        <p><ww:text name="'admin.csvimport.note.on.validations'">
            <ww:param name="'value0'"><strong></ww:param>
            <ww:param name="'value1'"></strong></ww:param>
            <ww:param name="'value2'"><strong></ww:param>
            <ww:param name="'value3'"></strong></ww:param>
        </ww:text></p>
	</page:param>

    <tr>
    <td colspan="2">
    <table class="grid">
    <tr>
        <th><ww:text name="'admin.csvimport.csv.header.row'"/></th>
        <th><ww:text name="'admin.csvimport.sample.data'"/></th>
        <th><ww:text name="'admin.csvimport.corresponding.jira.field'"/></th>
        <th><ww:text name="'admin.externalimport.map.field.value'"/></th>
    </tr>
    <ww:iterator value="/bean/headerRow" status="'rowStatus'">
    <tr class="mappingrow">
        <td class="formLabel">
            <span class="mappingname"><ww:property value="." /></span>
<%--            <a onclick="duplicateRow(this);" href="#" >Duplicate</a> --%>
        </td>
        <td width="40%"><ww:property value="/bean/sampleData[@rowStatus/index]" /></td>
        <td>
        <table class="grid maxWidth">
        <tr>
        <td colspan="2" style="border: 0px;">
            <select id="<ww:property value="/bean/fieldName(.)" />"
                    name="<ww:property value="/bean/fieldName(.)" />"
                    class="importField"
                    onchange="handleCustomFieldDisplay('<ww:property value="/bean/fieldName(.)" />');">
                <option value=""><ww:text name="'common.words.none'"/></option>
                <ww:iterator value="/bean/fieldMappings" status="'rowStatus'">
                <optgroup label="<ww:property value="./key" />" >
                <ww:iterator value="./value" >
                    <option value="<ww:property value="./key" />" <ww:if test="/bean/selectedValue(../.., ./key) == true">selected="selected"</ww:if>>
                        <ww:property value="./value" />
                    </option>
                </ww:iterator>
                </optgroup>
                </ww:iterator>
            </select>
        </td>
        </tr>

            <ui:select label="text('admin.notifications.choose.a.custom.field')" name="/bean/existingCfName(.)"
                       list="/customFields" listKey="'id'" listValue="'name'"
                       template="selectmap.jsp"
                       value="/bean/value(/bean/existingCfName(.))">
                <ui:param name="'summary'" value="'description'" />
                <ui:param name="'headerrow'" value="'None'" />
                <ui:param name="'headervalue'" value="" />
                <ui:param name="'rowClass'"><ww:property value="/bean/existingCfName(.)" /></ui:param>
<ww:if test="/bean/value(/bean/fieldName(.)) != 'existingCustomField'">
                 <ui:param name="'rowStyle'" value="'display:none;'" />
</ww:if>
            </ui:select>

            <ww:property value="/bean/value(/bean/newCfName(.))" id="newCustomFieldName" />
            <ww:if test="@newCustomFieldName/ == null || @newCustomFieldName/length == 0" >
                <ww:property value="." id="newCustomFieldName" /><%-- this will default a new custom field to be the same as the title of the column --%>
            </ww:if>
            <ui:textfield label="text('admin.csvimport.custom.field.name')" name="/bean/newCfName(.)" value="@newCustomFieldName" >
                <ui:param name="'rowClass'" value="/bean/newCfName(.)" />
                <ui:param name="'title'" value="text('admin.csvimport.custom.field.name.desc')" />
<ww:if test="/bean/value(/bean/fieldName(.)) != 'newCustomField'">
                <ui:param name="'rowStyle'" value="'display:none;'" />
</ww:if>
                </ui:textfield>

            <ui:select label="text('admin.csvimport.custom.field.type')" name="/bean/newCfType(.)"
                       list="/bean/validCustomFieldTypes" value="/bean/value(/bean/newCfType(.))"
                       listKey="'key'" listValue="'value'"
                       template="selectmap.jsp">
                <ui:param name="'rowClass'" value="/bean/newCfName(.)" />
                <ui:param name="'title'" value="text('admin.csvimport.custom.field.type.desc')" />
<ww:if test="/bean/value(/bean/fieldName(.)) != 'newCustomField'">
                <ui:param name="'rowStyle'" value="'display:none;'" />
</ww:if>
            </ui:select>
        </table>


        </td>
        <td class="fullyCentered">
            <ui:checkbox label="''" theme="'single'"
                         name="'bean/mapValues'" fieldValue=".">
                <ww:if test="/bean/inMapValues(.) == true">
                    <ui:param name="'checked'">true</ui:param>
                </ww:if>
            </ui:checkbox>
        </td>
    </tr>

    </ww:iterator>
    </table>

    <ww:property value="/bean/unmappedFields">
        <ww:if test=". != null && ./size > 0">
            <p/>
            <div class="noteBox"><ww:text name="'admin.csvimport.unmapped.field.warn.message'"/></div>
            <table class="grid" id="unmappedFields">
            <tr>
                <th><ww:text name="'admin.csvimport.unmapped.field.key.header'"/></th>
                <th><ww:text name="'admin.csvimport.unmapped.field.value.header'"/></th>
            </tr>
            <ww:iterator value="." status="'rowStatus'">
            <tr>
                <td class="formLabel">
                    <ww:property value="./key"/>
                </td>
                <td>
                    <ww:property value="./value"/>
                </td>
            </tr>
            </ww:iterator>
            </table>
        </ww:if>
    </ww:property>

    <ui:component name="'mapValues'" template="hidden.jsp" value="''" />
    </td>
    </tr>

</page:applyDecorator>

</body>
</html>
