<%@ taglib uri="webwork" prefix="ww" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
    <title><ww:text name="'admin.csvimport.import.data.from'">
        <ww:param name="'value0'"><ww:property value="/title" /></ww:param>
    </ww:text></title>
</head>
<body>

<page:applyDecorator name="jiraform">
    <page:param name="action"><ww:property value="actionName" />!default.jspa</page:param>
    <page:param name="submitId">csv_import_submit</page:param>
    <page:param name="submitName"><ww:text name="'admin.csvimport.return.to.importer'">
        <ww:param name="'value0'"><ww:property value="/title" /></ww:param>
    </ww:text></page:param>
    <page:param name="title"><ww:text name="'admin.csvimport.import.data.from'">
        <ww:param name="'value0'"><ww:property value="/title" /></ww:param>
    </ww:text></page:param>

    <ui:component name="'importLocation'" template="hidden.jsp" theme="'single'"/>
    <ui:component name="'configFileLocation'" template="hidden.jsp" theme="'single'"/>

    <tr>
    <td colspan="2">

    <ww:if test="importer/aborted == true">
    <div class="informationBox">
        <ww:text name="'admin.csvimport.import.cancelled'">
            <ww:param name="'value0'"><div class="error"></ww:param>
            <ww:param name="'value1'"><ww:property value="/title" /></ww:param>
            <ww:param name="'value2'"></div></ww:param>
        </ww:text>
    </div>
    </ww:if>
    <ww:elseIf test="importer/stats/failures > 0">
    <div class="informationBox" style="border-color: #c00; background-color: #fcc;">
        <ww:text name="'admin.csvimport.import.completed.with.errors'">
            <ww:param name="'value0'"><div class="error"></ww:param>
            <ww:param name="'value1'"><ww:property value="/title" /></ww:param>
            <ww:param name="'value2'"></div></ww:param>
        </ww:text>
    </div>
    </ww:elseIf>
    <ww:else>
    <div class="informationBox">
        <ww:text name="'admin.csvimport.import.success'">
            <ww:param name="'value0'"><div class="success"></ww:param>
            <ww:param name="'value1'"><ww:property value="/title" /></ww:param>
            <ww:param name="'value2'"></div></ww:param>
        </ww:text>
    </div>
    </ww:else>
    <%@include file="../importlogs.jsp" %>
    </td>
    </tr>
</page:applyDecorator>

</body>
</html>
