<%@ taglib uri="webwork" prefix="ww" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
    <title><ww:text name="'admin.externalimport.users.do.not.exist.title'"/></title>
</head>

<body>

<page:applyDecorator name="jirapanel">
    <page:param name="cancelURI"><%= request.getContextPath() %>/secure/admin/views/ExternalImport.jspa</page:param>
    <page:param name="title"><ww:text name="'admin.externalimport.users.do.not.exist.title'"/></page:param>
    <page:param name="width">100%</page:param>
    <page:param name="description">
        <ww:text name="'admin.externalimport.users.do.not.exist.desc'">
           <ww:param name="'value0'"><strong></ww:param>
           <ww:param name="'value1'"></strong></ww:param>
           <ww:param name="'value2'"><p/></ww:param>
           <ww:param name="'value3'"><ww:property value="/unknownUsers/size"/></ww:param>
        </ww:text>
    </page:param>

    <table id="usersdonotexist" class="grid defaultWidth centered">
        <thead>
            <tr>
                <th><ww:text name="'common.words.username'"/></th>
                <th><ww:text name="'common.words.fullname'"/></th>
                <th><ww:text name="'common.words.email'"/></th>
            </tr>
        </thead>
        <tbody>
            <ww:iterator value="/unknownUsers">
                <tr>
                    <td><ww:property value="./name"/><br/></td>
                    <td><ww:property value="./fullname"/><br/></td>
                    <td><ww:property value="./email"/><br/></td>
                </tr>
            </ww:iterator>
        </tbody>
    </table>

</page:applyDecorator>

</body>
</html>
