<%@ taglib uri="webwork" prefix="ww" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<html>
<head>
	<title><ww:text name="'admin.issuefields.fieldconfigurations.renderer.edit.field.layout.items.renderer'"/></title>
</head>
<body>
    <page:applyDecorator name="jiraform">
        <page:param name="action">EditFieldLayoutItemRendererConfirmation.jspa</page:param>
        <page:param name="submitId">update_submit</page:param>
        <page:param name="submitName"><ww:text name="'common.forms.update'"/></page:param>
    	<page:param name="cancelURI"><ww:property value="/cancelUrl"/></page:param>
        <page:param name="title"><ww:text name="'admin.issuefields.fieldconfigurations.renderer.edit.field.renderer'"/>: <ww:text name="/fieldName"/></page:param>
        <page:param name="description">
            <p><ww:text name="'admin.issuefields.fieldconfigurations.renderer.description'"/></p>
            <p><ww:text name="'admin.issuefields.fieldconfigurations.renderer.update.for.field'">
                <ww:param name="'value0'">'<ww:text name="/fieldName"/>'</ww:param>
            </ww:text></p>
            <ww:if test="/effectedIssuesCount != 0" >
                <p><div class="warningBox"><ww:text name="'admin.issuefields.fieldconfigurations.renderer.warning'">
                    <ww:param name="'value0'"><a href="<%= request.getContextPath() %>/secure/IssueNavigator.jspa?reset=true&<ww:text name="/effectedIssuesQueryString"/>"><ww:property value="/effectedIssuesCount"/></ww:param>
                    <ww:param name="'value1'"></a></ww:param>
                </ww:text>
                </div> </p>
            </ww:if>
        </page:param>
        <page:param name="width">100%</page:param>

        <ui:select label="text('admin.issuefields.fieldconfigurations.renderer.active.renderer')" name="'selectedRendererType'" list="/allActiveRenderers" listKey="'.'" listValue="'/rendererDisplayName(.)'" value="/currentRendererType">
            <ui:param name="'description'">
                <ww:text name="'admin.issuefields.fieldconfigurations.renderer.description'"/>
            </ui:param>
        </ui:select>

    	<ui:component name="'rendererEdit'" template="hidden.jsp" />
        <ui:component name="'id'" template="hidden.jsp" />
        <input type="hidden" name="fieldName" value="<ww:text name="/fieldName"/>">
    </page:applyDecorator>
</body>
</html>
