<%@ taglib uri="webwork" prefix="ww" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<html>
<head>
	<title><ww:text name="'admin.issuefields.fieldconfigschemes.view.field.configuration.schemes'"/></title>
</head>
<body>
    <page:applyDecorator name="jirapanel">
        <page:param name="title"><ww:text name="'admin.issuefields.fieldconfigschemes.view.field.configuration.schemes'"/></page:param>
        <page:param name="width">100%</page:param>
        <page:param name="helpURL">issuefieldschemes</page:param>
        <p>
            <ww:text name="'admin.issuefields.fieldconfigschemes.the.table.below'"/>
        </p>
        <p>
            <ww:text name="'admin.issuefields.fieldconfigschemes.description'">
                <ww:param name="'value0'"><a href="ViewFieldLayouts.jspa"></ww:param>
                <ww:param name="'value1'"></a></ww:param>
            </ww:text>
        </p>
    </page:applyDecorator>

    <p>
        <table align=center bgcolor="#bbbbbb" border="0" cellpadding="0" cellspacing="0" width=90%>
        <tr><td>
        <table border="0" cellpadding="3" cellspacing="1" width=100%>
            <tr bgcolor=#f0f0f0>
                <td class="colHeaderLink">
                    <b><ww:text name="'common.words.name'"/></b>
                </td>
                <td class="colHeaderLink">
                    <b><ww:text name="'common.concepts.projects'"/></b>
                </td>
                <td class="colHeaderLink">
                    <b><ww:text name="'common.words.operations'"/></b>
                </td>
            </tr>

            <ww:iterator value="/fieldLayoutScheme" status="'status'">
            <tr bgcolor="#<ww:if test="@status/modulus(2) == 1">ffffff</ww:if><ww:else>fffff0</ww:else>">
                <td valign=top>
                    <img src="<%= request.getContextPath() %>/images/icons/form_blue_small.gif" width=16 height=16 title="<ww:text name="'admin.issuefields.fieldconfigurations.field.layout.scheme'"/>" STYLE="float:left; padding-right:3; align">
                    <a href="<ww:url page="/secure/admin/ConfigureFieldLayoutScheme!default.jspa"><ww:param name="'id'" value="./id"/></ww:url>" title="<ww:text name="'admin.issuefields.fieldconfigschemes.change.field.layouts'"/>">
                    <b><ww:property value="./name"/></b><br>
                    </a>
                    <ww:property value="./description"/></td>
                <td valign=top nowrap>
                <ww:iterator value="/schemeProjects(.)">
                    <ul class="square_blue">
                        <li><a href="<ww:url page="/secure/project/ViewProject.jspa"><ww:param name="'pid'" value="./long('id')" /></ww:url>"><ww:property value="./string('name')" /></a><br></li>
                    </ul>
                </ww:iterator>
                </td>
                <td width="1%" valign=top nowrap>
                    <a href="<ww:url page="/secure/admin/ConfigureFieldLayoutScheme!default.jspa"><ww:param name="'id'" value="./id"/></ww:url>" title="<ww:text name="'admin.issuefields.fieldconfigschemes.change.field.layouts'"/>"><ww:text name="'admin.common.words.configure'"/></a>
                    |
                    <a href="<ww:url page="/secure/admin/CopyFieldLayoutScheme!default.jspa"><ww:param name="'id'" value="./id"/></ww:url>" title="<ww:text name="'admin.issuefields.fieldconfigschemes.create.a.copy'"/>"><ww:text name="'common.words.copy'"/></a>
                    |
                    <a href="<ww:url page="/secure/admin/EditFieldLayoutScheme!default.jspa"><ww:param name="'id'" value="./id"/></ww:url>" title="<ww:text name="'admin.issuefields.fieldconfigschemes.edit.name.and.description'"/>"><ww:text name="'common.words.edit'"/></a>
                    <!-- Scheme can only be deleted if it is not associated with an issue type/project -->
                    <ww:if test="/schemeProjects(.)/empty == true">
                        |
                        <a id="del_<ww:property value="./name"/>" href="<ww:url page="/secure/admin/DeleteFieldLayoutScheme!default.jspa"><ww:param name="'id'" value="./id"/></ww:url>" title="<ww:text name="'admin.issuefields.fieldconfigschemes.delete.this.scheme'"/>"><ww:text name="'common.words.delete'"/></a>
                    </ww:if>
                </td>
            </tr>
            </ww:iterator>
            <ww:if test="fieldLayoutScheme/size == 0">
            <tr bgcolor=#ffffff>
                <td colspan=3><ww:text name="'admin.issuefields.fieldconfigschemes.no.field.configuration.schemes.configured'"/></td>
            </tr>
            </ww:if>
        </table>
        </td></tr>
        </table>
    </p>

    <p>
    <page:applyDecorator name="jiraform">
        <page:param name="action">AddFieldLayoutScheme.jspa</page:param>
        <page:param name="submitId">add_submit</page:param>
        <page:param name="submitName"><ww:text name="'common.forms.add'"/></page:param>
        <page:param name="title"><ww:text name="'admin.issuefields.fieldconfigschemes.add.field.configuration.scheme'"/></page:param>
        <page:param name="width">100%</page:param>
        <page:param name="description">
            <ww:text name="'admin.issuefields.fieldconfigschemes.add.field.configuration.scheme.instruction'">
                <ww:param name="'value0'"><b></ww:param>
                <ww:param name="'value1'"></b></ww:param>
            </ww:text>
        </page:param>

        <ui:textfield label="text('common.words.name')" name="'fieldLayoutSchemeName'" size="'30'">
            <ui:param name="'mandatory'">true</ui:param>
        </ui:textfield>

        <ui:textfield label="text('common.words.description')" name="'fieldLayoutSchemeDescription'" size="'60'" />
    </page:applyDecorator>
    </p>
</body>
</html>
