
<%@ taglib uri="webwork" prefix="ww" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
	<title><ww:text name="'admin.mailservers.configure'"/></title>
</head>

<body>

    <p>
    <table width="100%" cellpadding=10 cellspacing=0 border=0>

    <script type="text/javascript">
       function submitReset()
       {
           document.jiraform.action="ProjectEmail!reset.jspa"
           document.jiraform.submit();
           return false;
       }
    </script>

    <page:applyDecorator name="jiraform">
        <page:param name="action">ProjectEmail.jspa</page:param>
        <page:param name="submitId">confirm_submit</page:param>
        <page:param name="submitName"><ww:text name="'common.forms.confirm'"/></page:param>
    	<page:param name="cancelURI"><ww:url page="ViewProject.jspa"><ww:param name="'pid'" value="projectId"/></ww:url></page:param>
        <page:param name="title"><ww:text name="'admin.mailservers.configure'"/></page:param>
        <page:param name="description"><ww:text name="'admin.mailservers.notification.email.description'">
            <ww:param name="'value0'"><br></ww:param>
        </ww:text></page:param>
        <page:param name="buttons"><input type="submit" onclick="submitReset();" value="<ww:text name="'admin.common.words.reset'"/>"></page:param>

        <ui:textfield label="text('admin.mailservers.sender.address')" name="'fromAddress'">
            <ui:param name="'description'"><ww:text name="'admin.mailservers.sender.address.description'"/></ui:param>
        </ui:textfield>

        <tr>
            <td colspan=2 bgcolor=#ffffff>&nbsp;</td>
        </tr>
        <ui:component name="'projectId'" value="projectId" template="hidden.jsp" theme="'single'"  />
    </page:applyDecorator>
    </table>
    </p>

</body>
</html>
