<%@ taglib uri="webwork" prefix="ww" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head><title><ww:text name="'admin.email.send.email'"/></title>
</head>

<body>

<table width="100%" cellpadding="10" cellspacing="0" border="0"><tr><td>

    <page:applyDecorator name="jiraform">
        <page:param name="action">ViewProjects.jspa</page:param>
        <page:param name="submitId">ok_submit</page:param>
        <page:param name="submitName"> <ww:text name="'admin.common.words.ok'"/> </page:param>
        <page:param name="autoSelectFirst">false</page:param>
        <page:param name="title"><ww:text name="'admin.email.send.email'"/></page:param>
        <page:param name="width">100%</page:param>
        <page:param name="description"><p><ww:property value="/status" escape="'false'" /></p></page:param>
            <tr><td bgcolor="#ffffff">
                <br>
                <table border="0" class="grid" width="100%">
                    <tr>
                        <th>
                            <b><ww:text name="'common.words.username'"/></b>
                        </th>
                        <th>
                            <b><ww:text name="'common.words.email'"/></b>
                        </th>
                        <th>
                            <b><ww:text name="'common.words.fullname'"/></b>
                        </th>
                    </tr>

                    <ww:iterator value="users" status="'status'">
                    <tr <ww:if test="@status/modulus(2) == 0">bgcolor="#fffff0"</ww:if>
                            <ww:else>bgcolor="#ffffff"</ww:else>>
                        <td><a id="<ww:property value="name"/>" href="<ww:url page="ViewUser.jspa"><ww:param name="'name'" value="name"/></ww:url>"><ww:property value="name"/></a></td>
                        <td><a href="<ww:url page="ViewUser.jspa"><ww:param name="'name'" value="name"/></ww:url>"><ww:property value="email"/></a></td>
                        <td><ww:property value="fullName"/></td>
                    </tr>
                    </ww:iterator>
                </table>
                <br>
            </td></tr>
    </page:applyDecorator>

</td></tr></table>

</body>
</html>
