
<%@ taglib uri="webwork" prefix="ww" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
	<title><ww:text name="'admin.schemes.permissions.permission.schemes'"/></title>
</head>

<body>
<page:applyDecorator name="jirapanel">
    <page:param name="title"><ww:text name="'admin.schemes.permissions.permission.schemes'"/></page:param>
    <page:param name="width">100%</page:param>
    <page:param name="helpURL">permissionsHelp</page:param>

    <p>
    <ww:text name="'admin.schemes.permissions.description'"/>
    <p>
    <ww:text name="'admin.schemes.permissions.description2'"/>
    </p>
    <ww:text name="'admin.schemes.permissions.table.below'">
        <ww:param name="'value0'"><a href="<%= request.getContextPath() %>/secure/admin/jira/GlobalPermissions!default.jspa"></ww:param>
        <ww:param name="'value1'"></a></ww:param>
    </ww:text>
    <p>
</page:applyDecorator>

    <p>

    <table align=center bgcolor="#bbbbbb" border="0" cellpadding="0" cellspacing="0" width=90%><tr><td>
    <table border="0" cellpadding="3" cellspacing="1" width="100%" id="permission_schemes_table">
        <tr bgcolor=#f0f0f0>
            <td class="colHeaderLink">
                <b><ww:text name="'common.words.name'"/></b>
            </td>
            <td class="colHeaderLink">
                <b><ww:text name="'common.concepts.projects'"/></b>
            </td>
            <td class="colHeaderLink">
                 <b><ww:text name="'common.words.operations'"/></b>
            </td>
        </tr>

        <ww:iterator value="schemes" status="'status'">
        <tr bgcolor="#<ww:if test="@status/modulus(2) == 1">ffffff</ww:if><ww:else>fffff0</ww:else>">
            <td valign=top>
                <b><a href="EditPermissions!default.jspa?schemeId=<ww:property value="long('id')"/>"><ww:property value="string('name')"/></a></b><br>
                <ww:property value="string('description')"/></td>
            <td valign=top nowrap>
            <ww:iterator value="projects(.)">
            	<img src="<%= request.getContextPath() %>/images/icons/bullet_blue.gif" height=8 width=8 border=0 align=absmiddle>
                <a href="<%= request.getContextPath() %>/secure/project/ViewProject.jspa?pid=<ww:property value="long('id')" />"><ww:property value="string('name')" /></a><br>
            </ww:iterator>
            </td>
            <td valign=top align=left nowrap>
                <a id="<ww:property value="long('id')"/>_edit" href="EditPermissions!default.jspa?schemeId=<ww:property value="long('id')"/>" title="<ww:text name="'admin.schemes.permissions.change.permissions.for.scheme'"/>"><ww:text name="'admin.common.words.permissions'"/></a>
                |
                <a id="<ww:property value="long('id')"/>_copy" href="<ww:url page="CopyPermissionScheme.jspa"><ww:param name="'schemeId'" value="long('id')"/></ww:url>" title="<ww:text name="'admin.schemes.permissions.make.a.copy.of.scheme'"/>"><ww:text name="'common.words.copy'"/></a>
                |
                <a id="<ww:property value="long('id')"/>_edit_details" href="EditPermissionScheme!default.jspa?schemeId=<ww:property value="long('id')"/>" title="<ww:text name="'admin.schemes.permissions.edit.name.and.description.of.scheme'"/>"><ww:text name="'common.words.edit'"/></a>
                <%-- You cannot delete the default permission scheme (0) --%>
                <ww:if test="long('id') != 0">
                    |
                    <a id="del_<ww:property value="string('name')"/>" href="DeletePermissionScheme!default.jspa?schemeId=<ww:property value="long('id')"/>" title="<ww:text name="'admin.schemes.permissions.delete.this.scheme'"/>"><ww:text name="'common.words.delete'"/></a>
                </ww:if>
            </td>
        </tr>
        </ww:iterator>
        <ww:if test="schemes/size == 0">
        <tr bgcolor=#ffffff>
            <td colspan=3><ww:text name="'admin.schemes.permissions.no.schemes.configured'"/></td>
        </tr>
        </ww:if>
    </table>
    </td></tr></table>

    <p>
    <table align=center border="0" cellpadding="0" cellspacing="0" width=90%>
    <tr>
    <td align="center">
    <table border="0" cellpadding="3" cellspacing="1">
    <tr>
        <td><a href="AddPermissionScheme!default.jspa"><ww:text name="'admin.schemes.permissions.add.permission.schemes'"/></a></td>
    </tr>
    </table>
    </td>
    </tr>
    </table>
    </p>

</body>
</html>
