
<%@ taglib uri="webwork" prefix="ww" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
	<title><ww:text name="'admin.project.categories.view.project.categories'"/></title>
</head>

<body>

<page:applyDecorator name="jirapanel">
    <page:param name="title"><ww:text name="'admin.project.categories.view.project.categories'"/></page:param>
    <page:param name="width">100%</page:param>

    <p>
    <ww:text name="'admin.project.categories.description.of.table'"/>
    </p>
</page:applyDecorator>

<p>

    <table align=center bgcolor="#bbbbbb" border="0" cellpadding="0" cellspacing="0" width=90%><tr><td>
    <table border="0" cellpadding="3" cellspacing="1" width=100%>
        <tr bgcolor=#f0f0f0>
            <th>
                <b><ww:text name="'common.words.name'"/></b>
            </th>
            <th>
                <b><ww:text name="'common.words.description'"/></b>
            </th>
            <th>
                <b><ww:text name="'common.concepts.projects'"/></b>
            </th>
            <th>
                <b><ww:text name="'common.words.operations'"/></b>
            </th>
        </tr>

        <ww:iterator value="/projectManager/projectCategories" status="'status'">
        <tr bgcolor="#<ww:if test="@status/odd == true">ffffff</ww:if><ww:else>fffff0</ww:else>">
            <td valign=top><b><ww:property value="string('name')"/></b></td>
            <td valign=top><ww:property value="string('description')"/></td>
            <td valign=top>
            <ww:iterator value="/projectManager/projectsFromProjectCategory(.)">
                <a href="<%= request.getContextPath() %>/secure/project/ViewProject.jspa?pid=<ww:property value="string('id')" />"><ww:property value="string('name')" /></a><br>
            </ww:iterator>

            </td>
            <td valign=top nowrap>
                <a href="EditProjectCategory!default.jspa?id=<ww:property value="string('id')"/>"><ww:text name="'common.words.edit'"/></a>
                |
                <a id="del_<ww:property value="string('name')"/>" href="DeleteProjectCategory!default.jspa?id=<ww:property value="string('id')"/>"><ww:text name="'common.words.delete'"/></a>
            </td>
        </tr>
        </ww:iterator>
    </table>
    </td></tr></table>

    <p>
    <page:applyDecorator name="jiraform">
        <page:param name="action">AddProjectCategory.jspa</page:param>
        <page:param name="width">100%</page:param>
        <page:param name="submitId">add_submit</page:param>
        <page:param name="submitName"><ww:text name="'common.forms.add'"/></page:param>
        <page:param name="title"><ww:text name="'admin.project.categories.add.new.project.category'"/></page:param>

        <ui:textfield label="text('common.words.name')" name="'name'" size="'30'" />

        <ui:textfield label="text('common.words.description')" name="'description'" size="'60'" />
    </page:applyDecorator>
    </p>

</body>
</html>
