<%@ taglib uri="webwork" prefix="ww" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
	<title><ww:text name="'admin.issuesettings.resolutions.view.resolutions'"/></title>
</head>

<body>

<page:applyDecorator name="jirapanel">
    <page:param name="title"><ww:text name="'admin.issuesettings.resolutions.view.resolutions'"/></page:param>
    <page:param name="width">100%</page:param>
    <p>
    <ww:text name="'admin.issuesettings.resolutions.the.table.below'"/>
    </p>
    <ul class="square">
    <ww:if test="/translatable == true">
        <li><ww:text name="'admin.issuesettings.resolutions.translations'">
            <ww:param name="'value0'"><a href="ViewTranslations!default.jspa?issueConstantType=resolution"/></ww:param>
            <ww:param name="'value1'"></a></ww:param>
        </ww:text></li>
    </ww:if>
    <li><ww:text name="'admin.issuesettings.resolutions.clear.defaults'">
        <ww:param name="'value0'"><a href="MakeDefaultResolution.jspa"/></ww:param>
        <ww:param name="'value1'"></a></ww:param>
    </ww:text></li>
    </ul>
</page:applyDecorator>

<p>

    <table align=center bgcolor="#bbbbbb" border="0" cellpadding="0" cellspacing="0" width=90%><tr><td>
    <table border="0" cellpadding="3" cellspacing="1" width=100%>
        <tr bgcolor=#f0f0f0>
            <td class="colHeaderLink">
                <b><ww:text name="'common.words.name'"/></b>
            </td>
            <td class="colHeaderLink">
                <b><ww:text name="'common.words.description'"/></b>
            </td>
            <td class="colHeaderLink">
                <b><ww:text name="'admin.issuesettings.order'"/></b>
            </td>
            <td class="colHeaderLink">
                <b><ww:text name="'common.words.operations'"/></b>
            </td>
        </tr>

        <ww:iterator value="/constantsManager/resolutions" status="'status'">
        <tr bgcolor="#<ww:if test="@status/modulus(2) == 1">ffffff</ww:if><ww:else>fffff0</ww:else>">
            <td valign=top><b><ww:property value="string('name')"/></b><ww:if test="../default(.) == true"> (<ww:text name="'admin.common.words.default'"/>)</ww:if></td>
            <td valign=top><ww:property value="string('description')"/></td>
            <td valign=top align=center>
                <ww:if test="@status/first != true"><a href="<ww:url page="ResolutionUp.jspa"><ww:param name="'up'" value="string('id')" /></ww:url>"><img src="<%= request.getContextPath() %>/images/icons/arrow_up_blue_small.gif" class="sortArrow" alt="<ww:text name="'admin.issuesettings.resolutions.move.up'"/>"></a></ww:if>
                <ww:else><image src="<%= request.getContextPath() %>/images/border/spacer.gif" class="sortArrow"></ww:else>
                <ww:if test="@status/last != true"><a href="<ww:url page="ResolutionDown.jspa"><ww:param name="'down'" value="string('id')" /></ww:url>"><img src="<%= request.getContextPath() %>/images/icons/arrow_down_blue_small.gif" class="sortArrow" alt="<ww:text name="'admin.issuesettings.resolutions.move.down'"/>"></a></ww:if>
                <ww:else><image src="<%= request.getContextPath() %>/images/border/spacer.gif" class="sortArrow"></ww:else>
            </td>
            <td valign=top nowrap>
                <a href="EditResolution!default.jspa?id=<ww:property value="string('id')"/>"><ww:text name="'common.words.edit'"/></a>
                |
                <a href="DeleteResolution!default.jspa?id=<ww:property value="string('id')"/>"><ww:text name="'common.words.delete'"/></a>
                <ww:if test="../default(.) == false">
                |
                <a href="<ww:url page="MakeDefaultResolution.jspa"><ww:param name="'make'" value="string('id')" /></ww:url>"><ww:text name="'admin.common.words.default'"/></a>
                </ww:if>
            </td>
        </tr>
        </ww:iterator>
    </table>
    </td></tr></table>

    <p>
    <page:applyDecorator name="jiraform">
        <page:param name="action">AddResolution.jspa</page:param>
        <page:param name="helpURL">resolutions</page:param>
        <page:param name="width">100%</page:param>
        <page:param name="submitId">add_submit</page:param>
        <page:param name="submitName"><ww:text name="'common.forms.add'"/></page:param>
        <page:param name="title"><ww:text name="'admin.issuesettings.resolutions.add.new.resolution'"/></page:param>

        <ui:textfield label="text('common.words.name')" name="'name'" size="'30'" />

        <ui:textfield label="text('common.words.description')" name="'description'" size="'60'" />
    </page:applyDecorator>
    </p>

</body>
</html>
