
<%@ taglib uri="webwork" prefix="ww" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
	<title><ww:text name="'admin.cvsmodules.select.repository'"/></title>
</head>
<body>

<ww:if test="repositories == null || repositories/size == 0">
    <page:applyDecorator name="jirapanel">
        <page:param name="title"><ww:text name="'admin.cvsmodules.select.none.available'"/></page:param>
        <page:param name="width">100%</page:param>
        <p>
        <ww:text name="'admin.cvsmodules.select.have.not.created.any.modules'"/>
        </p>
        <p>
        <img src="<%= request.getContextPath() %>/images/icons/bullet_creme.gif" height=8 width=8 border=0>
        <ww:text name="'admin.cvsmodules.add.new.module'">
            <ww:param name="'value0'"><a href="<%= request.getContextPath() %>/secure/admin/projectcategories/AddRepository!default.jspa"><b></ww:param>
            <ww:param name="'value1'"></b></a></ww:param>
        </ww:text>
        </p>
    </page:applyDecorator>
</ww:if>
<ww:else>
	<page:applyDecorator name="jiraform">
		<page:param name="title"><ww:text name="'admin.cvsmodules.select.repository'"/></page:param>
        <page:param name="description">
            <ww:text name="'admin.cvsmodules.select.page.description'"/>
            <p><ww:text name="'admin.cvsmodules.select.note'">
                <ww:param name="'value0'"><b><font color="#990000"></ww:param>
                <ww:param name="'value1'"></font></b></ww:param>
            </ww:text></p>
        </page:param>
        <page:param name="width">100%</page:param>
        <page:param name="cancelURI"><ww:url page="ViewProject.jspa"><ww:param name="'pid'" value="projectId"/></ww:url></page:param>
        <page:param name="action">SelectProjectRepository.jspa</page:param>
        <page:param name="submitId">select_submit</page:param>
        <page:param name="submitName"><ww:text name="'common.words.select'"/></page:param>

        <ui:select label="text('admin.cvsmodules.repository')" name="'repositoryIds'" list="repositories" listKey="'id'" listValue="'name'" template="selectmap.jsp">
            <ui:param name="'headerrow'" value="'None'" />
            <ui:param name="'headervalue'" value="-1" />
        </ui:select>
        <ui:component name="'projectId'" template="hidden.jsp"/>
	</page:applyDecorator>
</ww:else>

</body>
</html>
