<%@ taglib uri="webwork" prefix="ww" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
	<title><ww:text name="'admin.projectversions.unrelease.title'"><ww:param name="'value0'"><ww:property value="versionToUnrelease/name" /></ww:param></ww:text></title>
</head>

<body>

<page:applyDecorator name="jiraform">
    <page:param name="title"><ww:text name="'admin.projectversions.unrelease.title'"><ww:param name="'value0'"><ww:property value="versionToUnrelease/name" /></ww:param></ww:text></page:param>
	<page:param name="description">
    <p><ww:text name="'admin.projectversions.unrelease.description'"/></p>
	</page:param>
	<page:param name="action"><ww:url page="EditVersionReleases!unrelease.jspa"><ww:param name="'versionId'" value="versionToRelease/id" /></ww:url></page:param>
	<page:param name="submitId">unrelease_submit</page:param>
	<page:param name="submitName"><ww:text name="'admin.manageversions.unrelease'"/></page:param>
	<page:param name="autoSelectFirst">false</page:param>
	<page:param name="cancelURI"><ww:url page="ManageVersions.jspa"><ww:param name="'pid'" value="project/long('id')" /></ww:url></page:param>

    <ui:component label="text('version.releasedate')" name="'releaseDate'" value="existingReleaseDateFormatted" template="datepicker2.jsp">
        <ui:param name="'formname'" value="'jiraform'" />
        <ui:param name="'style'">width: 20%;</ui:param>
    </ui:component>

	<ui:component name="'pid'" template="hidden.jsp" />
</page:applyDecorator>

</body>
</html>
