<%@ taglib uri="webwork" prefix="ww" %>

<ww:property value="parameters['nameValue']">
<div id="<ww:property value="parameters['name']"/>_table_info" class="tt_inner">
    <ww:if test="./hasData == false">
        <h4><ww:text name="'viewissue.timetracking.unknown'"/></h4>
    </ww:if>
    <ww:else>
    <dl>
        <dt id="<ww:property value="parameters['name']"/>_text_orig" class="tt_text" title="<ww:property value="./originalEstimateTooltip"/>">
            <ww:text name="'viewissue.timetracking.estimated'"/>:
        </dt>
        <dd id="<ww:property value="parameters['name']"/>_values_orig" class="tt_values" title="<ww:property value="./originalEstimateTooltip"/>">
            <ww:if test="./originalEstimateStr == null">
                <ww:text name="'viewissue.timetracking.unknown'"/>
            </ww:if>
            <ww:else>
                <ww:property value="./originalEstimateStr" />
            </ww:else>
        </dd>
        <dd class="tt_graph">
            <table id="<ww:property value="parameters['name']"/>_graph_orig" cellspacing="0" cellpadding="0" class="tt_graph" >
                <tr class="tt_graph">
                    <ww:component template="genericpercentagegraph.jsp" name="'./originalEstimateGraph'" />
                </tr>
            </table>
        </dd>
    </dl>
    <dl>
        <dt id="<ww:property value="parameters['name']"/>_text_remain" class="tt_text" title="<ww:property value="./remainingEstimateTooltip"/>">
            <ww:text name="'viewissue.timetracking.remaining'"/>:
        </dt>
        <dd id="<ww:property value="parameters['name']"/>_values_remain" class="tt_values" title="<ww:property value="./remainingEstimateTooltip"/>">
            <ww:if test="./remainingEstimateStr == null">
                <ww:text name="'viewissue.timetracking.unknown'"/>
            </ww:if>
            <ww:else>
                <ww:property value="./remainingEstimateStr" />
            </ww:else>
        </dd>
        <dd class="tt_graph">
                <table id="<ww:property value="parameters['name']"/>_graph_remain" cellspacing="0" cellpadding="0" class="tt_graph">
                <tr class="tt_graph">
                    <ww:component template="genericpercentagegraph.jsp" name="'./remainingEstimateGraph'" />
                </tr>
            </table>
        </dd>
    </dl>
    <dl>
        <dt id="<ww:property value="parameters['name']"/>_text_spent" class="tt_text" title="<ww:property value="./timeSpentTooltip"/>">
            <ww:text name="'viewissue.timetracking.logged'"/>:
        </dt>
        <dd id="<ww:property value="parameters['name']"/>_values_spent" class="tt_values" title="<ww:property value="./timeSpentTooltip"/>">
            <ww:if test="./timeSpentStr == null">
                <ww:text name="'viewissue.timetracking.unknown'"/>
            </ww:if>
            <ww:else>
                <ww:property value="./timeSpentStr" />
            </ww:else>
        </dd>
        <dd  class="tt_graph">
            <table id="<ww:property value="parameters['name']"/>_graph_spent" cellspacing="0" cellpadding="0" class="tt_graph" >
                <tr class="tt_graph">
                    <ww:component template="genericpercentagegraph.jsp" name="'./timeSpentGraph'" />
                </tr>
            </table>
        </dd>
    </dl>
    </ww:else>
</div>
</ww:property>
