<%@ page import="com.atlassian.util.profiling.UtilTimerStack"%>
<%@ taglib uri="webwork" prefix="ww" %>

<ww:if test="/issueTabPanels && /issueTabPanels/empty == false" >
    <div class="tabwrap tabs2">
        <ww:if test="/activeTabPanelSortable == true">
            <div class="sortwrap">
                <ww:if test="/actionOrder == 'asc'">
                    <a class="icon icon-sort-down" rel="nofollow" href="<ww:url value="'/browse/' + issue/string('key')" atltoken="false"><ww:param name="'actionOrder'" value="'desc'"/></ww:url>#issue-tabs" title="<ww:text name="'navigator.ascending.order'"/>"><span><ww:text name="'navigator.ascending.order'"/></span></a>
                </ww:if>
                <ww:else>
                    <a class="icon icon-sort-up" rel="nofollow" href="<ww:url value="'/browse/' + issue/string('key')" atltoken="false"><ww:param name="'actionOrder'" value="'asc'"/></ww:url>#issue-tabs" title="<ww:text name="'navigator.descending.order'"/>"><span><ww:text name="'navigator.descending.order'"/></span></a>
                </ww:else>
            </div>
        </ww:if>
        <ul id="issue-tabs" class="tabs horizontal">
        <ww:iterator value="/issueTabPanels">
            <ww:if test="/page == completeKey">
                <li id="<ww:property value="key" />" class="active"><strong><ww:property value="label" /></strong></li>
            </ww:if>
            <ww:else>
                <li><a id="<ww:property value="key" />" href="<ww:url value="'/browse/' + issue/string('key')" atltoken="false"><ww:param name="'page'" value="completeKey"/></ww:url>#issue-tabs"><strong><ww:property value="label" /></strong></a></li>
            </ww:else>
        </ww:iterator>
        </ul>
    </div>
    <ww:property value="actions">
        <div class="issuePanelContainer" id="issue_actions_container">
        <ww:if test=". != null && ./size > 0">
            <ww:iterator value=".">
                <% UtilTimerStack.push("Getting action HTML"); %>
                <ww:property value="./html()" escape="false"/>
                <% UtilTimerStack.pop("Getting action HTML"); %>
            </ww:iterator>
        </ww:if>
        <ww:elseIf test=". == null">
            <div class="notify warn">
                <ww:text name="'viewissue.tabs.actions.error'"/>
            </div>
        </ww:elseIf>
        </div>
    </ww:property>
</ww:if>
