<%@ taglib uri="webwork" prefix="ww" %>
<ww:bean id="math" name="'com.atlassian.core.bean.MathBean'"/>

<table class="grid" width="100%">
<tr><td class="jiraformheader">
	<h5><ww:text name="'admin.projects.versions'"/></h5>
	<ww:if test="/hasProjectAdminPermission == true">
        <ul class="square">
            <li><ww:text name="'admin.projects.manage.versions'">
                <ww:param name="'value0'"><a id="manage_versions" href="ManageVersions.jspa?pid=<ww:property value="long('id')" />"></ww:param>
                <ww:param name="'value1'"></a></ww:param>
                <ww:param name="'value2'"><span class="smallgrey"></ww:param>
                <ww:param name="'value3'"></span></ww:param>
            </ww:text></li>
        </ul>
	</ww:if>
</td></tr>
<tr><td>
		<ww:property value="/versionsReversed">
        <ww:if test="./size > 0">
            <table width="100%" class="blank noPadding">
            <ww:subset source="." count="20" >
            <ww:iterator value="." status="'status'">
            <tr <ww:if test="@status/modulus(2) == 0">class="rowAlternateLightGray"</ww:if>>
                <td>
                    <%@ include file="/includes/versions/versionstatus_size16.jsp" %>
                    <%@ include file="/includes/versions/versionname.jsp" %>
                </td>
                <td align="right" >
                    <span class="subText"><%@ include file="/includes/versions/versionreleasedate.jsp" %></span>
                </td>
            </tr>
			</ww:iterator>
            </ww:subset>
            <ww:if test="./size > 20">
            <tr>
                <td colspan="2" class="grey">
                ... <ww:text name="'admin.manageversions.others.not.displayed'">
                    <ww:param name="'value0'"><ww:property value="@math/subtract(size, 20)" /></ww:param>
                    <ww:param name="'value1'"><a href="ManageVersions.jspa?pid=<ww:property value="long('id')" />"><span class="small"></ww:param>
                    <ww:param name="'value2'"></span></a></ww:param>
                </ww:text> </td>
            </tr>
            </ww:if>
            </table>
        </ww:if>
		<ww:if test=". && size == 0">
            <ww:text name="'admin.projects.no.versions'"/>
		</ww:if>
		</ww:property>
</td></tr>
</table>
