<%@ taglib prefix="ww" uri="webwork" %>
<%@ taglib prefix="aui" uri="webwork" %>
<%@ taglib prefix="page" uri="sitemesh-page" %>
<html>
<head>
    <meta content="frontpage" name="decorator"/>
    <title><ww:text name="'logout.confirm.title'"/></title>
</head>
<body class="type-a">
    <div class="content intform">
        <page:applyDecorator id="confirm-logout" name="auiform">
            <page:param name="action"><ww:url value="'/secure/Logout.jspa'"/> </page:param>
            <page:param name="submitButtonName">Logout</page:param>
            <page:param name="submitButtonText"><ww:text name="'common.concepts.logout'"/></page:param>
            <page:param name="cancelLinkURI">javascript:history.back();</page:param>

            <aui:component name="'confirm'" template="hidden.jsp" theme="'aui'" value="'true'" />
            <aui:component template="formHeading.jsp" theme="'aui'">
                <aui:param name="'text'"><ww:text name="'logout.confirm.title'"/></aui:param>
            </aui:component>
            <aui:component template="formDescriptionBlock.jsp" theme="'aui'">
                <aui:param name="'text'"><ww:text name="'logout.confirm.desc'"/></aui:param>
            </aui:component>
        </page:applyDecorator>
    </div>
</body>
</html>