
<%@ taglib uri="webwork" prefix="ww" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
	<title><ww:text name="'admin.deleteproject.delete.project'"/>: <ww:property value="project/string('name')" /></title>
</head>

<body>

<page:applyDecorator name="jiraform">
    <page:param name="title"><ww:text name="'admin.deleteproject.delete.project'"/>: <ww:property value="project/string('name')" /></page:param>
	<page:param name="description">
		<p><ww:text name="'admin.deleteproject.confirmation'"/></p>
		<p><font color=#cc0000>
            <ww:if test="/systemAdministrator == true">
                <ww:text name="'admin.deleteproject.warning'">
                    <ww:param name="'value0'"><a href="XmlBackup!default.jspa"></ww:param>
                    <ww:param name="'value1'"></a></ww:param>
                </ww:text>
            </ww:if>
            <ww:else>
                <ww:text name="'admin.deleteproject.warning.admin'">
                    <%--Disabled until http://jdog.atlassian.com/browse/JRADEV-1422 has been resolved--%>
                    <%--<ww:param name="'value0'"><a href="<%=request.getContextPath()%>/secure/Administrators.jspa#sysadmins"></ww:param>--%>
                    <%--<ww:param name="'value1'"></a></ww:param>--%>
                    <ww:param name="'value0'"> </ww:param>
                    <ww:param name="'value1'"> </ww:param>
                </ww:text>
            </ww:else>
        </font></p>
	</page:param>

	<page:param name="width">100%</page:param>
	<page:param name="action">DeleteProject.jspa</page:param>
	<page:param name="submitId">delete_submit</page:param>
	<page:param name="submitName"><ww:text name="'common.words.delete'"/></page:param>
	<page:param name="cancelURI"><ww:url page="ViewProject.jspa"><ww:param name="'pid'" value="project/long('id')"/></ww:url></page:param>
	<page:param name="autoSelectFirst">false</page:param>

	<ui:component name="'pid'" template="hidden.jsp" />
	<input type="hidden" name="confirm" value="true">
</page:applyDecorator>

</body>
</html>
