<%@ taglib uri="webwork" prefix="ww" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<html>
<head><title><ww:text name="'admin.externalimport.fogbugz.title'"/></title></head>
<body>
<page:applyDecorator name="jiraform">
    <page:param name="action">ConfigureFogBugzMapping!chooseFieldForValueMappings.jspa</page:param>
    <page:param name="cancelURI">FogBugzImport!default.jspa</page:param>
    <page:param name="title"><ww:text name="'admin.externalimport.fogbugz.title.prefix'"/> <ww:text name="'admin.externalimport.mappings.value'"/></page:param>
    <page:param name="wizard">true</page:param>
	<page:param name="instructions">
        <p><ww:text name="'admin.externalimport.fogbugz.mappings.value.description'"/></p>
	</page:param>

    <tr>
    <td colspan="2">
    <table class="grid centred">
    <tr>
        <th><ww:text name="'admin.externalimport.fogbugz.mappings.field.import.field'"/></th>
        <th class="fullyCentered"><ww:text name="'admin.externalimport.fogbugz.mappings.value.field.count'"/></th>
        <th class="fullyCentered"><ww:text name="'admin.externalimport.map.field.value'"/></th>
    </tr>
    <ww:iterator value="/bean/valueMappingHelper/availableFields" status="'rowStatus'">
    <tr class="mappingrow">
        <td class="formLabel">
            <span class="mappingname"><ww:property value="./name" /></span>
            <br/>
            <span class="subText"><ww:property value="./description" /></span>
        </td>
        <td class="fullyCentered">
            <ww:property value="/bean/valueMappingHelper/valueCountForField(./name)" >
                <ww:if test=".">
                    <ww:property value="." />
                </ww:if>
                <ww:else>
                    <ww:text name="'common.words.unknown'" />
                </ww:else>
            </ww:property>
        </td>
        <td class="fullyCentered">
            <ui:checkbox label="''" theme="'single'"
                         name="./name" fieldValue="'true'">
                <ww:if test="/bean/valueMappingHelper/mapValueForField(./name) == true">
                    <ui:param name="'checked'">true</ui:param>
                </ww:if>
            </ui:checkbox>
        </td>
    </tr>

    </ww:iterator>
    </table>
    </td>
    </tr>

</page:applyDecorator>

</body>
</html>
