<%@ taglib uri="webwork" prefix="ww" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
    <title><ww:property value="/title"/></title>
</head>

<body>

<page:applyDecorator name="jirapanel">
    <page:param name="buttons">
        <input id="backButton" type="button" accesskey="<ww:text name="'common.forms.cancel.accesskey'" />"
               title="<ww:property value="text('admin.common.words.back')"/> (Alt + <ww:text name="'common.forms.cancel.accesskey'" />)"
               name="backButton"
               value="<ww:property value="text('admin.common.words.back')"/>"
               onclick="location.href='<%= request.getContextPath() %>/secure/admin/ProjectImportSummary!default.jspa'" />
    </page:param>
    <page:param name="title"><ww:property value="/title"/></page:param>
    <page:param name="width">100%</page:param>
    <page:param name="helpURL">restore_project</page:param>
    <page:param name="description">
        <ww:property value="/description" escape="false"/>
        <ww:property value="/userCountLimitMessage" escape="false"/>
        <p/>
            <img src="<%= request.getContextPath() %>/images/icons/bullet_creme.gif" height=8 width=8 border=0 align=absmiddle> <a href='<ww:property value="/actionName" />!xmlExport.jspa'><ww:text name="'admin.project.import.users.xml.export'"/></a>
        <p/>
    </page:param>

    <table id="usersdonotexist" class="grid defaultWidth centered">
        <thead>
            <tr>
                <th><ww:text name="'common.words.username'"/></th>
                <th><ww:text name="'common.words.fullname'"/></th>
                <th><ww:text name="'common.words.email'"/></th>
            </tr>
        </thead>
        <tbody>
            <ww:iterator value="/limitedUsers">
                <tr>
                    <td><ww:property value="./name"/><br/></td>
                    <td><ww:property value="./fullname"/><br/></td>
                    <td><ww:property value="./email"/><br/></td>
                </tr>
            </ww:iterator>
        </tbody>
    </table>

</page:applyDecorator>

</body>
</html>
