<%@ taglib uri="webwork" prefix="ww" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
	<title><ww:text name="'admin.schemes.issuesecurity.issue.security.schemes'"/></title>
</head>

<body>
    <page:applyDecorator name="jirapanel">
        <page:param name="title"><ww:text name="'admin.schemes.issuesecurity.issue.security.schemes'"/></page:param>
        <page:param name="width">100%</page:param>
        <page:param name="helpURL">security_schemes</page:param>
        <p>
        <ww:text name="'admin.schemes.issuesecurity.description1'"/>
        <p>
        <ww:text name="'admin.schemes.issuesecurity.description2'"/>


        <p>
        <ww:text name="'admin.schemes.issuesecurity.table.below'"/>
    </page:applyDecorator>

        <p>

        <table align=center bgcolor="#bbbbbb" border="0" cellpadding="0" cellspacing="0" width=90%><tr><td>
        <table border="0" cellpadding="3" cellspacing="1" width=100%>
            <tr bgcolor=#f0f0f0>
                <td class="colHeaderLink">
                    <b><ww:text name="'common.words.name'"/></b>
                </td>
                <td class="colHeaderLink">
                    <b><ww:text name="'common.concepts.projects'"/></b>
                </td>
                <td class="colHeaderLink">
                    <b><ww:text name="'common.words.operations'"/></b>
                </td>
            </tr>

            <ww:iterator value="schemes" status="'status'">
            <tr bgcolor="#<ww:if test="@status/modulus(2) == 1">ffffff</ww:if><ww:else>fffff0</ww:else>">
                <td valign=top>
                    <b><a href="<ww:url page="EditIssueSecurities!default.jspa"><ww:param name="'schemeId'" value="long('id')"/></ww:url>"><ww:property value="string('name')"/></a></b><br>
                    <ww:property value="string('description')"/></td>
                <td valign=top nowrap>
                <ww:iterator value="projects(.)">
                    <img src="<%= request.getContextPath() %>/images/icons/bullet_blue.gif" height=8 width=8 border=0 align=absmiddle>
                    <a href="<%= request.getContextPath() %>/secure/project/ViewProject.jspa?pid=<ww:property value="long('id')" />"><ww:property value="string('name')" /></a><br>
                </ww:iterator>
                </td>
                <td valign=top align=left nowrap>
                    <a href="<ww:url page="EditIssueSecurities!default.jspa"><ww:param name="'schemeId'" value="long('id')"/></ww:url>" title="<ww:text name="'admin.schemes.issuesecurity.change.the.security.levels'"/>"><ww:text name="'admin.schemes.issuesecurity.security.levels'"/></a>
                    |
                    <a href="<ww:url page="CopyIssueSecurityScheme.jspa"><ww:param name="'schemeId'" value="long('id')"/></ww:url>" title="<ww:text name="'admin.schemes.issuesecurity.create.a.copy'"/>"><ww:text name="'common.words.copy'"/></a>
                    |
                    <a href="<ww:url page="EditIssueSecurityScheme!default.jspa"><ww:param name="'schemeId'" value="long('id')"/></ww:url>" title="<ww:text name="'admin.schemes.issuesecurity.edit.the.name.description.and.default.security.level'"/>"><ww:text name="'common.words.edit'"/></a>
                    <%-- You cannot delete the default scheme (0) --%>
                    <ww:if test="long('id') != 0 && canDelete(.) == true">
                        |
                        <a id="del_<ww:property value="string('name')"/>" href="<ww:url page="DeleteIssueSecurityScheme!default.jspa"><ww:param name="'schemeId'" value="long('id')"/></ww:url>" title="<ww:text name="'admin.schemes.issuesecurity.delete.this.scheme'"/>"><ww:text name="'common.words.delete'"/></a>
                    </ww:if>
                </td>
            </tr>
            </ww:iterator>
            <ww:if test="schemes/size == 0">
            <tr bgcolor=#ffffff>
                <td colspan=3><ww:text name="'admin.schemes.issuesecurity.no.schemes.configure'"/></td>
            </tr>
            </ww:if>
        </table>
        </td></tr></table>

        <p>
        <table align=center border="0" cellpadding="0" cellspacing="0" width=90%>
        <tr>
        <td align="center">
        <table border="0" cellpadding="3" cellspacing="1">
        <tr>
            <td><a id="add_securityscheme" href="<ww:url page="AddIssueSecurityScheme!default.jspa"/>"><ww:text name="'admin.schemes.issuesecurity.add.issue.security.scheme'"/></a>
        </tr>
        </table>
        </td>
        </tr>
        </table>
        </p>
</body>
</html>
