<%@ taglib uri="webwork" prefix="ww" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<%-- The page is used for the manageable option object --%>
<ww:property value="/manageableOption" >
<html>
<head>
	<title><ww:text name="'admin.manage.title'">
	    <ww:param name="'value0'"><ww:property value="title" /></ww:param>
	</ww:text></title>
</head>
<body>
<style>
    .jiraform .jiraform, .jiraform .grid
    {
        margin: 5px 10px 5px 10px;
    }
</style>

<page:applyDecorator name="jirapanel">
    <page:param name="title"><ww:text name="'admin.manage.title'">
	    <ww:param name="'value0'"><ww:property value="title" /></ww:param>
	</ww:text></page:param>
    <page:param name="width">100%</page:param>
    <page:param name="helpURL">manageIssueTypes</page:param>
    <p>
    <ww:text name="'admin.issuesettings.issuetypes.the.table.below'">
        <ww:param name="'value0'"><ww:property value="titleLowerCase" /></ww:param>
    </ww:text>
    <ww:if test="/actionType == 'view'">
        <ww:text name="'admin.issuesettings.issuetypes.alphabetical.order'">
            <ww:param name="'value0'"><strong></ww:param>
            <ww:param name="'value1'"></strong></ww:param>
        </ww:text>
   </ww:if>
    </p>

    <ww:if test="/actionType == 'scheme'">
    <p>
        <ww:text name="'admin.issuesettings.issuetypes.issue.type.schemes.determines'"/> 
    </p>
   </ww:if>

    <ww:if test="/professionalOrEnterprise == false">
    <ul class="square">
        <li><a href="ConfigureOptionSchemes!default.jspa?fieldId=<ww:property value="fieldId" />&schemeId=<ww:property value="/defaultScheme/id" />&returnUrl=ViewIssueTypes.jspa"><ww:text name="'admin.issuesettings.issuetypes.edit.order.and.default.issue.type'"/></a></li>
    </ul>
    </ww:if>
</page:applyDecorator>

<div class="tabContainer maxWidth centered">
    <div class="tabHeader">
        <a href="ViewIssueTypes.jspa" <ww:if test="/actionType == 'view'">class="selected"</ww:if>><ww:text name="'admin.issuesettings.issuetypes.global.issue.types'">
            <ww:param name="'value0'"><ww:property value="title" /></ww:param>
        </ww:text></a>
        <ww:if test="/professionalOrEnterprise == true">
        <a href="ManageIssueTypeSchemes!default.jspa" <ww:if test="/actionType == 'scheme'">class="selected"</ww:if>><ww:text name="'admin.issuesettings.issuetypes.issue.type.scheme'">
            <ww:param name="'value0'"><ww:property value="title" /></ww:param>
        </ww:text></a>
        </ww:if>
        <ww:if test="/translatable == true">
            <a href="ViewTranslations!default.jspa?issueConstantType=<ww:property value="fieldId" />" id="translate_link"  <ww:if test="/actionType == 'translate'">class="selected"</ww:if>><ww:text name="'admin.issuesettings.issuetypes.translate'"/></a>
        </ww:if>
    </div>
    <div class="tabContent jiraform">
    <ww:if test="/actionType == 'scheme'">
        <jsp:include page="issuetypeschemes.jsp" />
    </ww:if>
    <ww:elseIf test="/actionType == 'translate'">
        <jsp:include page="/secure/admin/views/translations/viewtranslations.jsp" />
    </ww:elseIf>
    <ww:else>
        <jsp:include page="issuetypes.jsp" />
    </ww:else>
    </div>
</div>

</body>
</html>
</ww:property>
