<%@ page import="com.atlassian.jira.web.action.issue.bulkedit.BulkWorkflowTransition,
                 com.atlassian.jira.web.component.IssueTableWebComponent,
                 java.util.List"%>
<%@ taglib uri="webwork" prefix="ww" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<!-- Step 4 - Bulk Operation: Confirmation for EDIT -->


<html>
<head>
    <title><ww:text name="'bulkworkflowtransition.title'"/></title>
</head>
<body>

<page:applyDecorator name="bulkpanel" >
    <page:param name="title"><ww:text name="'bulkworkflowtransition.title'"/>: <ww:text name="'bulkworkflowtransition.confirmation'"/></page:param>
    <page:param name="action">BulkWorkflowTransitionPerform.jspa</page:param>
    <ww:property value="'true'" id="hideSubMenu" />
    <page:param name="instructions">
    <p>
        <ww:text name="'bulkworkflowtransition.confirmation.instructions'"/>
    </p>
    </page:param>

<html>
<head>
	<title><ww:text name="'bulkedit.title'"/></title>
</head>
<body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" bgcolor="#ffffff">
<tr><td>
<table class="grid bordered centered defaultWidth" >
    <tr><td>
        <b><ww:text name="'bulkworkflowtransition.issue.workflow'"/></b>: <ww:property value="/bulkEditBean/selectedWFTransitionKey/workflowName" />
    </td></tr>
    <tr><td>
        <b><ww:text name="'bulkworkflowtransition.selected.transition'"/></b>: <ww:property value="/bulkWorkflowTransitionOperation/actionDescriptor(/bulkEditBean/selectedWFTransitionKey)/name" />
    </td></tr>
    <tr><td>
        <b><ww:text name="'bulkworkflowtransition.status.transition'"/></b>:
        <ww:property value="/originStatus(/bulkEditBean/selectedWFTransitionKey)">
                <ww:component name="'status'" template="constanticon.jsp">
                    <ww:param name="'contextPath'"><%= request.getContextPath() %></ww:param>
                    <ww:param name="'iconurl'" value="./string('iconurl')" />
                    <ww:param name="'alt'"><ww:property value="/nameTranslation(.)" /></ww:param>
                </ww:component>
                <ww:property value="/nameTranslation(.)" />
            </ww:property>
        <img src="<%= request.getContextPath() %>/images/icons/arrow_right_small.gif" height=16 width=16 border=0 align=absmiddle>
        <ww:property value="/destinationStatus(/bulkEditBean/selectedWFTransitionKey)">
                <ww:component name="'status'" template="constanticon.jsp">
                    <ww:param name="'contextPath'"><%= request.getContextPath() %></ww:param>
                    <ww:param name="'iconurl'" value="./string('iconurl')" />
                    <ww:param name="'alt'"><ww:property value="/nameTranslation(.)" /></ww:param>
                </ww:component>
                <ww:property value="/nameTranslation(.)" />
            </ww:property>
    </td></tr>
    <tr><td>
        <ww:text name="'bulkworkflowtransition.number.affected.issues'">
            <ww:param name="'value0'"><strong><ww:property value="/bulkEditBean/selectedIssues/size()" /></strong></ww:param>
        </ww:text>
    </td></tr>
</table>
</td></tr>
<tr><td>
    <ww:property value="/bulkEditBean/actions">
        <ww:if test=". != null && ./empty() == false">
            <table class="centered defaultWidth" cellpadding="0" cellspacing="0" border="0" bgcolor="#bbbbbb">
            <tr><td>
                <table id="updatedfields" cellpadding=2 cellspacing=1 border=0 width=100%>
                    <tr bgcolor=#f0f0f0><th colspan=2><ww:text name="'bulkedit.confirm.updatedfields'"/></th></tr>
                    <ww:iterator value="./values">
                        <tr>
                            <td bgcolor=#ffffff width="40%"><b><ww:property value="./fieldName"/></b></td>
                            <td bgcolor=#ffffff><ww:property value="/fieldViewHtml(./field)" escape="false" /></td>
                        </tr>
                    </ww:iterator>
                </table>
            </td></tr>
            </table>

            <!-- Send Mail confirmation -->
            <ww:if test="/canDisableMailNotifications() == true && /bulkEditBean/hasMailServer == true">
                <p>
                <table class="centered defaultWidth" cellpadding="0" cellspacing="0">
                    <tr><td>
                        <jsp:include page="/includes/bulkedit/bulkedit-sendnotifications-confirmation.jsp"/>
                    </td></tr>
                </table>
                </p>
            </ww:if>
            
            <p>
                <ww:text name="'bulkedit.confirm.msg'">
                    <ww:param name="'value0'"><b><ww:property value="/bulkEditBean/selectedIssues/size"/></b></ww:param>
                </ww:text><br>
                <ww:text name="'bulkedit.confirm.warning.about.blanks'"/>
            </p>
        </ww:if>
    </ww:property>

    <%-- Set this so that it can be used further down --%>
    <ww:property value="/" id="bulkWorkflowTransition" />
    <%
        BulkWorkflowTransition bulkWorkflowTransition = (BulkWorkflowTransition) request.getAttribute("bulkWorkflowTransition");
        List issues = bulkWorkflowTransition.getBulkEditBean().getSelectedIssues();
    %>
    <%= new IssueTableWebComponent().getHtml(bulkWorkflowTransition.getIssueTableLayoutBean(), issues, null) %>

</td></tr>
</table>
<!-- Add a breakline between issue table and confirmation buttons.
&nbsp;
</page:applyDecorator>
</body>
</html>
