<%@ taglib uri="webwork" prefix="ww" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="jiratags" prefix="jira" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
    <meta content="issuesummary" name="decorator" />
	<title><ww:text name="'viewissue.delete.link.title'"/> <ww:property value="del" /></title>
</head>
<body class="type-a">
<div class="item-header">
    <ww:property value="issue">
        <jsp:include page="/includes/panels/issue_headertable.jsp" />
    </ww:property>
</div>
<div id="main-content">
    <div class="active-area">
        <div id="primary" class="column">
            <div class="content intform">
                <page:applyDecorator name="jiraform">
                    <page:param name="title"><ww:text name="'viewissue.delete.link.title'"/>: <ww:property value="/issue/string('key')"/> <ww:property value="directionName"/> <ww:property value="targetIssueKey"/></page:param>
                    <page:param name="autoSelectFirst">false</page:param>
                    <page:param name="description">
                        <p><ww:text name="'viewissue.delete.link.msg'"/></p>
                    </page:param>
                    <page:param name="width">100%</page:param>
                    <page:param name="action"><ww:url page="DeleteLink.jspa"><ww:param name="'id'" value="id"/><ww:param name="'destId'" value="destId"/><ww:param name="'sourceId'" value="sourceId"/><ww:param name="'linkType'" value="linkType"/></ww:url></page:param>
                    <page:param name="submitId">delete_submit</page:param>
                    <page:param name="submitName"><ww:text name="'common.words.delete'"/></page:param>
                    <page:param name="cancelURI"><ww:url page="ManageLinks.jspa"><ww:param name="'id'" value="/id" /></ww:url></page:param>
                    <input type="hidden" name="confirm" value="true">
                </page:applyDecorator>
            </div>
        </div>
    </div>
</div>
</body>
</html>
