<%@ page import="java.util.*"%>
<%@ taglib uri="webwork" prefix="ww" %>
<%@ taglib uri="webwork" prefix="ui" %>
<html>
<head>
    <meta content="issuesummary" name="decorator" />
    <title>[#<ww:property value="/issueObject/key" />] <ww:property value="/issueObject/summary" /></title>
</head>
<body>
<jsp:include page="/includes/errormessages.jsp" />
<div class="item-header">
    <ww:property value="issue">
        <jsp:include page="/includes/panels/issue_headertable.jsp" />
    </ww:property>
</div>
<div id="main-content">
    <div class="active-area">
        <h2><ww:text name="'trackback.manage.title'"/></h2>
        <div class="content">
            <div class="module" id="issue-attachments-table">
                <div class="mod-content">
                    <p><ww:text name="'trackback.manage.desc'"/></p>
                    <ww:if test="applicationProperties/option('jira.option.trackback.receive') == true && trackbacks/size > 0">
                        <jsp:include page="managetrackbackstable.jsp" />
                    </ww:if>
                    <ww:else>
                        <div class="notify info"><ww:text name="'trackback.no.links'"/></div>
                    </ww:else>
                </div>
            </div>
        </div>
    </div>
</div>
</body>
</html>
