<%@ taglib uri="webwork" prefix="ww" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<%@ taglib uri="jiratags" prefix="jira" %>

<ww:if test="/contentOnly == true">
    <% response.setContentType("application/json"); %>
    {"permissionsError": true}
</ww:if>
<ww:else>
<html>
<head>
    <title>
        <ww:if test="remoteUser == null"><ww:text name="'login.required.title'"/></ww:if>
        <ww:else><ww:text name="'perm.violation.title'"/></ww:else>
    </title>
    <meta name="decorator" content="navigator">
</head>
<body class="lp">
<%@ include file="/includes/permissionsviolationfragment.jsp"%>
</body>
</html>
</ww:else>
