<%@ taglib uri="webwork" prefix="ww" %>
<%@ include file="/template/standard/controlheader.jsp" %>

<div class="formOne">
    <div>
        <p><ww:text name="'setup.backuppath.line1.desc'" /></p>
        <p><strong><ww:text name="'setup.backuppath.line2.desc'" /></strong></p>
        <input class="radio" type="radio" id="backupPathOption_DEFAULT" name="backupPathOption" value="DEFAULT" <ww:if test="backupPathOption == 'DEFAULT'">CHECKED</ww:if> />
        <label for="backupPathOption_DEFAULT"><ww:text name="'setup.backup.usedefaultpath'"/></label>
        <div class="field-description">
            <p><ww:text name="'setup.backups.path.msg'"/> : <strong><ww:property value="/defaultBackupPath" /></strong></p>
        </div>
    </div>
    <div>
        <input class="radio" type="radio" id="backupPathOption_DISABLED" name="backupPathOption" value="DISABLED" <ww:if test="backupPathOption == 'DISABLED'">CHECKED</ww:if> />
        <label for="backupPathOption_DISABLED"><ww:text name="'setup.backup.disable'"/></label>
    </div>
</div>

<%@ include file="/template/standard/controlfooter.jsp" %>
